Skip to main content
GET
Get a Connection

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Path Parameters

connectionId
string
required

The Id of the Connection

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Response

Returns the Connection object

The IEntityMeta defines meta information every entity within the system has. These are dates when a resource was created and modified as well as information about the user who initially created a resource and who modified it the last time.

key
string

The key of the connection field. The key should match the connection schema of the specific connection type.

Example:

"some-key-from-connection-schema"

value
string

The value of the connection field

Example:

"x123w123"

_id
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
createdAt
integer

Unix-timestamp

Required range: 0 <= x <= 2147483647
Example:

1694518620

lastChanged
integer

Unix-timestamp

Required range: 0 <= x <= 2147483647
Example:

1694518620

createdBy
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
lastChangedBy
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
Last modified on July 22, 2026